/*
 * Created on Sep 17, 2004
 *
 */
package wiki.challenge;

import robocode.AdvancedRobot;
import robocode.ScannedRobotEvent;
import robocode.util.Utils;

/**
 * @author David Alves
 *
 * For more information about the Wave Surfing Challenge, visit
 * <a href="http://robowiki.net/perl/robowiki?WaveSurfingChallenge">http://robowiki.net/perl/robowiki?WaveSurfingChallenge</a>
 * 
 * This robot sits still and fires directly at its opponent.
 * 
 */
public class WaveSurfingChallengeBotA extends AdvancedRobot{
	
	public void run(){
		setAdjustRadarForGunTurn(true);
		do{
			turnRadarRightRadians(Double.POSITIVE_INFINITY);
		} while(true);
	}
	
	public void onScannedRobot(ScannedRobotEvent e){
		double absoluteBearing = getHeadingRadians() + e.getBearingRadians();
		setTurnRadarRightRadians(Utils.normalRelativeAngle(absoluteBearing - getRadarHeadingRadians()));
		setTurnGunRightRadians(Utils.normalRelativeAngle(absoluteBearing - getGunHeadingRadians()));
		fire(3);
	}
	
	
}
